计算管理/主机相关接口/Kernel适配器相关接口
GETKernel Adapter Related Interfaces起始版本 4.10.20同步需要认证
获取候选的主机Kernel适配器
获取候选的主机Kernel适配器
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
查询参数
请求参数
查询参数
hostUuidsList必填主机UUID列表
cidrString无类别域间路由
trafficTypesList流量类型
containsRejectedboolean是否包含被拒绝的候选项
limitInteger最多返回的记录数,类似MySQL的limit,默认值1000
响应状态
请求地址
GET/zstack/v1/hosts/kernel-interfaces
/zstack/v1/hosts/kernel-interfaces
请求示例
curl -X GET 'http://{host}/zstack/v1/hosts/kernel-interfaces?hostUuids=<hostUuids>&cidr=<cidr>&trafficTypes=<trafficTypes>&containsRejected=True&limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "results": [ { "candidate": { "uuid": "ff054502e59933a8a494cea5dc88d700", "name": "host-kernel-interface", "description": "example", "hostUuid": "ff0192fa70113da886101145c084bd00", "l2NetworkUuid": "ff0915ef0d3e32708d3150708a72c400", "l3NetworkUuid": "ff07d561c51c3ef996d682825dcff700", "usedIps": [ { "hostKernelInterfaceUuid": "ff054502e59933a8a494cea5dc88d700", "uuid": "ff0d1627c13c3337a92767d011d03a00", "l3NetworkUuid": "ff07d561c51c3ef996d682825dcff700", "ipVersion": 4, "ip": "192.168.0.2", "netmask": "255.255.255.0", "ipInLong": 3232235522, "ipInBinary": [ -64, -88, 0, 2 ], "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ], "trafficTypes": [ "Management" ], "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" }, "finalDecision": "ACCEPTED", "decisions": [] } ] }变更历史
此 API 暂无变更历史记录。
